<template>
  <div class="card" :class="{dark: dark}">
    <!-- <hr> -->
    <slot></slot>
  </div>
</template>

<script lang="ts">
import { Component, Prop, Vue } from "vue-property-decorator";
@Component
export default class Card extends Vue {
  @Prop({ default: false }) readonly dark!: boolean;
}
</script>
<style lang="scss" scoped>
.card {
  background-color: white;
  padding-top: 5px;
  border-radius: 15px 15px 0px 0px;
  color: black;
  hr {
    margin-bottom: 20px;
    width: 50px;
    border: 2px solid white;
    border-radius: 50px;
  }
}

.dark{
   background-color: black;
   color: white;
 
}
</style>